OperationCancelledException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, class: OperationCancelledException

Package org.apache.geode.admin

# Class OperationCancelledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.admin.RuntimeAdminException
org.apache.geode.admin.OperationCancelledException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class OperationCancelledException extends RuntimeAdminException
Deprecated.
as of 7.0 use the `management` package instead
Thrown when an administration operation that accesses information in a remote system member is cancelled. The cancelation may occur because the system member has left the distributed system.

Since:
  GemFire 3.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationCancelledException()`
  Deprecated.
  `OperationCancelledException(String message)`
  Deprecated.
  `OperationCancelledException(String message, Throwable cause)`
  Deprecated.
  `OperationCancelledException(Throwable cause)`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OperationCancelledException

    public OperationCancelledException()
    Deprecated.

  - ### OperationCancelledException

    public OperationCancelledException(String message)
    Deprecated.

  - ### OperationCancelledException

    public OperationCancelledException(Throwable cause)
    Deprecated.

  - ### OperationCancelledException

    public OperationCancelledException(String message, Throwable cause)
    Deprecated.